Subject: Re: bug#35802: Broken data loaded from uni-decomposition

From: [email-masked]
Date: Tue, 11 Jun 2019 10:18:41 -0400

Juri Linkov <[email-masked]> writes:

>> And possibly let-binding search-spaces-regexp in find-auto-coding would
>> make sense (although, there's probably more places like this that might
>> break, not sure if we can ever hope to find them all).
>
> This is almost the same class of problems as wrapping re-search-forward
> in save-match-data, so finding all places that affect matching elsewhere
> will take time.

Actually maybe it's just a matter of making isearch bind
search-spaces-regexp less widely.  I'm not quite following when the your
problem happens though.  Can you show a backtrace from your original
problem using

    (add-hook 'after-load-functions
              (lambda (f) (when (string-match-p "uni-decomposition" f)
                       (debug nil :search-spaces-regexp search-spaces-regexp))))